curl --request PUT \
--url https://api.getcargo.io/v1/orchestration/tools/{uuid} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"icon": {
"kind": "<string>",
"data": "<string>"
},
"description": "<string>",
"folderUuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"triggers": [
{
"name": "<string>",
"description": "<string>",
"type": "<string>",
"cron": "<string>",
"data": {}
}
]
}
'{
"tool": {
"uuid": "<string>",
"icon": {
"kind": "<string>",
"data": "<string>"
},
"workspaceUuid": "<string>",
"workflowUuid": "<string>",
"userUuid": "<string>",
"name": "<string>",
"folderUuid": "<string>",
"creditsCost": {
"kind": "<string>"
},
"description": "<string>",
"isReadOnly": true,
"triggers": [
{
"name": "<string>",
"description": "<string>",
"type": "<string>",
"cron": "<string>",
"temporalScheduleWorkflowId": "<string>",
"data": {}
}
],
"createdAt": "<string>",
"updatedAt": "<string>",
"deletedAt": "<string>"
}
}Update a tool
curl --request PUT \
--url https://api.getcargo.io/v1/orchestration/tools/{uuid} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"icon": {
"kind": "<string>",
"data": "<string>"
},
"description": "<string>",
"folderUuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"triggers": [
{
"name": "<string>",
"description": "<string>",
"type": "<string>",
"cron": "<string>",
"data": {}
}
]
}
'{
"tool": {
"uuid": "<string>",
"icon": {
"kind": "<string>",
"data": "<string>"
},
"workspaceUuid": "<string>",
"workflowUuid": "<string>",
"userUuid": "<string>",
"name": "<string>",
"folderUuid": "<string>",
"creditsCost": {
"kind": "<string>"
},
"description": "<string>",
"isReadOnly": true,
"triggers": [
{
"name": "<string>",
"description": "<string>",
"type": "<string>",
"cron": "<string>",
"temporalScheduleWorkflowId": "<string>",
"data": {}
}
],
"createdAt": "<string>",
"updatedAt": "<string>",
"deletedAt": "<string>"
}
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Tool identifier.
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-4[0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12})$Request body schema.
Tool name.
Tool icon.
Show child attributes
Tool description.
Folder identifier.
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-4[0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12})$Tool cron triggers.
Show child attributes
Successful response
Updated tool details.
Show child attributes
Was this page helpful?